<ion-content>
    <ion-grid style="height: 100%">
        <ion-row class="ion-justify-content-center ion-align-items-center" style="height: 100%">
            <div class="the-holder ion-padding">
                <ion-row class="title-row">
                    <ion-col size="8" class="ion-text-left">
                        <h4>{{title}}</h4>
                    </ion-col>
                </ion-row>
                <hr />
                <div>
                    <p *ngIf="message1">{{message1}}</p>
                    <p *ngIf="message2">{{message2}}</p>
                </div>

                <ion-button *ngIf="button3Text" (click)="onButton3Clicked()">
                    {{button3Text}}
                </ion-button>
                <ion-button *ngIf="button2Text" (click)="onButton2Clicked()">
                    <ion-icon name="eye-outline"></ion-icon>{{button2Text}}
                </ion-button>
                <ion-button *ngIf="button1Text" (click)="onButton1Clicked()">
                    <ion-icon name="eye-outline"></ion-icon> {{button1Text}}
                </ion-button>
            </div>
        </ion-row>
    </ion-grid>
</ion-content>